CMSIS-Core (Cortex-A): cmsis_cp15.h File Reference

| CMSIS-Core (Cortex-A) Version 1.1.2 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
cmsis_cp15.h File Reference

CMSIS compiler specific macros, functions, instructions. More...

## Macros
#define | __CMSIS_CP15_H

## Functions
__STATIC_FORCEINLINE uint32_t | __get_ACTLR (void)
| Get ACTLR. More...
__STATIC_FORCEINLINE void | __set_ACTLR (uint32_t actlr)
| Set ACTLR. More...
__STATIC_FORCEINLINE uint32_t | __get_CPACR (void)
| Get CPACR. More...
__STATIC_FORCEINLINE void | __set_CPACR (uint32_t cpacr)
| Set CPACR. More...
__STATIC_FORCEINLINE uint32_t | __get_DFSR (void)
| Get DFSR. More...
__STATIC_FORCEINLINE void | __set_DFSR (uint32_t dfsr)
| Set DFSR. More...
__STATIC_FORCEINLINE uint32_t | __get_IFSR (void)
| Get IFSR. More...
__STATIC_FORCEINLINE void | __set_IFSR (uint32_t ifsr)
| Set IFSR. More...
__STATIC_FORCEINLINE uint32_t | __get_ISR (void)
| Get ISR. More...
__STATIC_FORCEINLINE uint32_t | __get_CBAR (void)
| Get CBAR. More...
__STATIC_FORCEINLINE uint32_t | __get_TTBR0 (void)
| Get TTBR0. More...
__STATIC_FORCEINLINE void | __set_TTBR0 (uint32_t ttbr0)
| Set TTBR0. More...
__STATIC_FORCEINLINE uint32_t | __get_DACR (void)
| Get DACR. More...
__STATIC_FORCEINLINE void | __set_DACR (uint32_t dacr)
| Set DACR. More...
__STATIC_FORCEINLINE void | __set_SCTLR (uint32_t sctlr)
| Set SCTLR. More...
__STATIC_FORCEINLINE uint32_t | __get_SCTLR (void)
| Get SCTLR. More...
__STATIC_FORCEINLINE void | __set_ACTRL (uint32_t actrl)
| Set ACTRL. More...
__STATIC_FORCEINLINE uint32_t | __get_ACTRL (void)
| Get ACTRL. More...
__STATIC_FORCEINLINE uint32_t | __get_MPIDR (void)
| Get MPIDR. More...
__STATIC_FORCEINLINE uint32_t | __get_VBAR (void)
| Get VBAR. More...
__STATIC_FORCEINLINE void | __set_VBAR (uint32_t vbar)
| Set VBAR. More...
__STATIC_FORCEINLINE uint32_t | __get_MVBAR (void)
| Get MVBAR. More...
__STATIC_FORCEINLINE void | __set_MVBAR (uint32_t mvbar)
| Set MVBAR. More...
__STATIC_FORCEINLINE void | __set_CNTFRQ (uint32_t value)
| Set CNTFRQ. More...
__STATIC_FORCEINLINE uint32_t | __get_CNTFRQ (void)
| Get CNTFRQ. More...
__STATIC_FORCEINLINE void | __set_CNTP_TVAL (uint32_t value)
| Set CNTP_TVAL. More...
__STATIC_FORCEINLINE uint32_t | __get_CNTP_TVAL (void)
| Get CNTP_TVAL. More...
__STATIC_FORCEINLINE uint64_t | __get_CNTPCT (void)
| Get CNTPCT. More...
__STATIC_FORCEINLINE void | __set_CNTP_CVAL (uint64_t value)
| Set CNTP_CVAL. More...
__STATIC_FORCEINLINE uint64_t | __get_CNTP_CVAL (void)
| Get CNTP_CVAL. More...
__STATIC_FORCEINLINE void | __set_CNTP_CTL (uint32_t value)
| Set CNTP_CTL. More...
__STATIC_FORCEINLINE uint32_t | __get_CNTP_CTL (void)
| Get CNTP_CTL register. More...
__STATIC_FORCEINLINE void | __set_TLBIALL (uint32_t value)
| Set TLBIALL. More...
__STATIC_FORCEINLINE void | __set_BPIALL (uint32_t value)
| Set BPIALL. More...
__STATIC_FORCEINLINE void | __set_ICIALLU (uint32_t value)
| Set ICIALLU. More...
__STATIC_FORCEINLINE void | __set_DCCMVAC (uint32_t value)
| Set DCCMVAC. More...
__STATIC_FORCEINLINE void | __set_DCIMVAC (uint32_t value)
| Set DCIMVAC. More...
__STATIC_FORCEINLINE void | __set_DCCIMVAC (uint32_t value)
| Set DCCIMVAC. More...
__STATIC_FORCEINLINE void | __set_CSSELR (uint32_t value)
| Set CSSELR. More...
__STATIC_FORCEINLINE uint32_t | __get_CSSELR (void)
| Get CSSELR. More...
CMSIS_DEPRECATED __STATIC_FORCEINLINE void | __set_CCSIDR (uint32_t value)
| Set CCSIDR. More...
__STATIC_FORCEINLINE uint32_t | __get_CCSIDR (void)
| Get CCSIDR. More...
__STATIC_FORCEINLINE uint32_t | __get_CLIDR (void)
| Get CLIDR. More...
__STATIC_FORCEINLINE void | __set_DCISW (uint32_t value)
| Set DCISW. More...
__STATIC_FORCEINLINE void | __set_DCCSW (uint32_t value)
| Set DCCSW. More...
__STATIC_FORCEINLINE void | __set_DCCISW (uint32_t value)
| Set DCCISW. More...

## Description

Version
  V1.0.1

Date
  07. Sep 2017

## Macro Definition Documentation

#define __CMSIS_CP15_H

## Function Documentation

__STATIC_FORCEINLINE uint32_t __get_ACTRL | ( | void |  | ) |

Returns
  Auxiliary Control Register value

__STATIC_FORCEINLINE uint32_t __get_CCSIDR | ( | void |  | ) |

Returns
  CCSIDR Register value

__STATIC_FORCEINLINE uint32_t __get_CLIDR | ( | void |  | ) |

Returns
  CLIDR Register value

__STATIC_FORCEINLINE uint32_t __get_CSSELR | ( | void |  | ) |

Returns
  CSSELR Register value

__STATIC_FORCEINLINE void __set_ACTLR | ( | uint32_t | actlr | ) |

Parameters

  [in] | actlr | Auxiliary Control value to set

CMSIS_DEPRECATED __STATIC_FORCEINLINE void __set_CCSIDR | ( | uint32_t | value | ) |

Deprecated:
  CCSIDR itself is read-only. Use __set_CSSELR to select cache level instead.

__STATIC_FORCEINLINE void __set_CNTP_CVAL | ( | uint64_t | value | ) |

This function assigns the given value to 64bits PL1 Physical Timer CompareValue Register (CNTP_CVAL).

Parameters

  [in] | value | CNTP_CVAL Register value to set

__STATIC_FORCEINLINE void __set_CSSELR | ( | uint32_t | value | ) |

__STATIC_FORCEINLINE void __set_DCCISW | ( | uint32_t | value | ) |

__STATIC_FORCEINLINE void __set_DCCSW | ( | uint32_t | value | ) |

__STATIC_FORCEINLINE void __set_DCISW | ( | uint32_t | value | ) |